Subject: Re: nicotine wants py23-gtk2, but gets py24-gtk2
To: None <>
From: Joerg Sonnenberger <>
List: pkgsrc-users
Date: 01/25/2007 19:15:08
On Thu, Jan 25, 2007 at 06:50:03PM +0100, Hubert Feyrer wrote:
> On Thu, 25 Jan 2007, Hubert Feyrer wrote:
> >I guess pkgsrc/x11/py-gtk2 _can_ be built into a py23-gtk2, and nicotine 
> >(in this case) should pass whatever is needed to do that.
> >It just doesn't.
> Digging a bit, PYTHON_VERSION_DEFAULT=23 should be set in the dependency's 
> build process. I'm not aware that the dependency mechanism allows passing 
> any variables, unless that has changed recently.

The framework passes down the expected package name. The Python module
magic decides PYTHON_VERSION_REQD based on that.